### Method

# Camel SExp term_eval

since: 3.4

#### Declaration [src]

    CamelSExpResult*
    camel_sexp_term_eval (
      CamelSExp* sexp,
      CamelSExpTerm* term
    )

#### Description [src]

Evaluates a part of the expression.

Available since: 3.4

This method is not directly available to language bindings.

#### Parameters

`term`

  Type: `CamelSExpTerm`

  A `CamelSExpTerm` to evaluate.

  The data is owned by the caller of the method.

#### Return value

Type: `CamelSExpResult`

A newly allocated result of the evaluation. Free the returned pointer with camel_sexp_result_free(), when no longer needed.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.